SOAPFaultDetailsBuilder (Axis API)
Keywords: org.apache.axis.message.SOAPFaultDetailsBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPFaultDetailsBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.SOAPFaultDetailsBuilder

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class SOAPFaultDetailsBuilder
extends SOAPHandler
implements Callback

Handle deserializing fault details.

Author:
  Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@macromedia.com)

Field Summary
`protected SOAPFaultBuilder` | `builder`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SOAPFaultDetailsBuilder(SOAPFaultBuilder builder)`

Method Summary
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String name, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` | `setValue(java.lang.Object value, java.lang.Object hint)`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`characters, endElement, makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### builder

    protected SOAPFaultBuilder builder

Constructor Detail

### SOAPFaultDetailsBuilder

    public SOAPFaultDetailsBuilder(SOAPFaultBuilder builder)

Method Detail

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String name,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### setValue

    public void setValue(java.lang.Object value,
                         java.lang.Object hint)

  Specified by:
    `setValue` in interface `Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.